#!/usr/bin/env node

const fs = require('fs')


let args = process.argv.splice(2, 2)

let command = args[0]

if(command === 'version' || command === 'v'){
  version()
}
else if(command === 'create-component') {
  createComponent(args[1])
}

function version() {
  const packagejson = require('./package.json');
  console.log(packagejson.version);
}

function createComponent(name){
  fs.writeFile(`./${name}.js`, `
import React from 'react'

class ${name} extends React.Component {
    constructor(props){
        super(props)
        this.state = {

        }
    }
    
    render(){
        return(
            <div>
                Example Component
            </div>
        )
    }
}

export default ${name}
  `, function(err) {
    if(err) {
        return console.log(err);
    }
    console.log("The file was saved!");
  }); 
}